> ## Documentation Index
> Fetch the complete documentation index at: https://developers.tally.so/llms.txt
> Use this file to discover all available pages before exploring further.

# Updating webhooks

> Updates an existing webhook configuration.



## OpenAPI

````yaml PATCH /webhooks/{webhookId}
openapi: 3.0.1
info:
  title: OpenAPI
  description: Tally's API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.tally.so
security:
  - bearerAuth: []
paths:
  /webhooks/{webhookId}:
    patch:
      tags:
        - Webhooks
      summary: Update a webhook
      description: Updates an existing webhook configuration.
      parameters:
        - name: webhookId
          in: path
          required: true
          description: The ID of the webhook to update
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                formId:
                  type: string
                  description: The ID of the form the webhook is for
                url:
                  type: string
                  description: The URL to send webhook events to
                signingSecret:
                  type: string
                  description: Optional secret used to sign webhook payloads
                  nullable: true
                httpHeaders:
                  type: array
                  description: Optional custom HTTP headers to include in webhook requests
                  nullable: true
                  items:
                    type: object
                    properties:
                      name:
                        type: string
                        description: The header name
                      value:
                        type: string
                        description: The header value
                    required:
                      - name
                      - value
                eventTypes:
                  type: array
                  description: Types of events to receive
                  items:
                    $ref: '#/components/schemas/EventType'
                isEnabled:
                  type: boolean
                  description: Whether the webhook is enabled
              required:
                - formId
                - url
                - eventTypes
                - isEnabled
      responses:
        '204':
          description: Webhook updated successfully
        '400':
          description: Invalid request body
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Webhook not found
      security:
        - bearerAuth: []
components:
  schemas:
    EventType:
      type: string
      enum:
        - FORM_RESPONSE
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````